//   RW Atashi
// ==============
// Cognition, Self, Personification, and 'Theory of Mind' Library
// -Part of the RW Foundations suite of libraries

// Filename: ./include/atashi/atashi_sb.hpp
// -Alias switchboard for the baseline RW Atashi library

#pragma once

#include "beauty/beauty_sb.hpp"
#include "cognate/cognate_sb.hpp"
#include "design/design_sb.hpp"

// clang-format off
namespace rw::atashi  { class Atashi; }
namespace rw::atashi  { class Atashi_b; }
// clang-format on
//
using rw::atashi::Atashi;
using rw::atashi::Atashi_b;

//    --=^=--

// "There's a teensy-tiny little bunny grill inside her head tbh."

// rw_atashi_lib.v220205
// Copyright (2022)
// License MIT (Expat) https://opensource.org/licenses/MIT
