//  RW Dollhouse
// ==============
// Docking, Charging-System, Storage, and General Outboard Systems Library
// -Part of the RW Foundations suite of libraries

// Filename: ./include/dollhouse/dollhouse_sb.hpp
// -Alias switchboard for the baseline RW Dollhouse library

#pragma once

///////
// Dolldrop/Dollnet is meant for network-enabled RW projects only
#if __has_include(<curl_easy.h>)

// clang-format off
namespace rw::dollhouse::net  { class Dolldrop; }
namespace rw::dollhouse::net  { class Dolldrop_b; }
// clang-format on
//
using rw::dollhouse::net::Dolldrop;
using rw::dollhouse::net::Dolldrop_b;

#endif  // __has_include(<curl_easy.h>)

// clang-format off
namespace rw::dollhouse  { class Dollhouse; }
namespace rw::dollhouse  { class Dollhouse_b; }
// clang-format on
//
using rw::dollhouse::Dollhouse;
using rw::dollhouse::Dollhouse_b;

//    --=^=--

// "______"

// rw_dollhouse_lib.v220205
// Copyright (2022)
// License MIT (Expat) https://opensource.org/licenses/MIT
