//   RW Atashi
// ==============
// Cognition, Self, Personification, and 'Theory of Mind' Library
// -Part of the RW Foundations suite of libraries

// Filename: ./src/atashi/atashi.cpp
// -Definitions of the baseline RW Atashi library

#include "incls_all.hpp"

namespace rw::atashi {

//------------------------------------------------------------------------------
Atashi_b::Atashi_b() : Atashi_b{"atashi_b_obj"} {}

//------------------------------------------------------------------------------
Atashi_b::Atashi_b(std::string const& handle) : RW{handle, Type::Atashi} {
  stamp("Atashi_b()");
}

//------------------------------------------------------------------------------
Atashi::Atashi() : Atashi{"atashi_obj"} {}

//------------------------------------------------------------------------------
Atashi::Atashi(std::string const& handle) : Atashi_b{handle} {
  stamp("Atashi()");
}

}  // namespace rw::atashi

//    --=^=--

// "There's a teensy-tiny little bunny grill inside her head tbh."

// rw_atashi_lib.v220205
// Copyright (2022)
// License MIT (Expat) https://opensource.org/licenses/MIT
