//  RW Abstract
// ==============
// ______
// -Part of the RW Foundations suite of libraries

// Filename: ./src/atashi/cognate/abstract.cpp
// -Definitions of the baseline RW Abstract sub-library

#include "incls_all.hpp"

namespace rw::atashi::cognate {

//------------------------------------------------------------------------------
Abstract_b::Abstract_b() : Abstract_b{"abstract_b_obj"} {}

//------------------------------------------------------------------------------
Abstract_b::Abstract_b(std::string const& handle) : RW{handle, Type::Abstract} {
  stamp("Abstract_b()");
}

//------------------------------------------------------------------------------
Abstract::Abstract() : Abstract{"abstract_obj"} {}

//------------------------------------------------------------------------------
Abstract::Abstract(std::string const& handle) : Abstract_b{handle} {
  stamp("Abstract()");

  // preflight();
}

}  // namespace rw::atashi::cognate

//    --=^=--

// "______"

// rw_atashi_lib.v220205
// Copyright (2022)
// License MIT (Expat) https://opensource.org/licenses/MIT
