//   RW Jsonutils
// ================
// ______
// -The RW Foundational Libraries

// Filename: ./src/rw/json/json_util.cpp
// -Definitions of some baseline RW Jsonutils features

#include "incls_all.hpp"

namespace rw::json {

//------------------------------------------------------------------------------
auto fstream_2_json(std::fstream& json_ifs, bool const close_strm)  //
    -> Json {
  Json res{};

  try {
    json_ifs >> res;  // very clean tbh

  } catch (Json::parse_error const& e) {
    cerr << "\n  Json::parse_error \n'" << e.what()
         << "'\n  caught in fstream_2_json()\n\n";

    res.clear();
  }

  if (close_strm)
    json_ifs.close();

  return res;
}

}  // namespace rw::json

//    --=^=--

// "So is it true Sempai? Are robowaifus really better than any human woman?"

// rw_foundations_lib.v220205
// Copyright (2022)
// License MIT(Expat) https://opensource.org/licenses/MIT
