//  RW Elucidate
// ==============
// ______
// -Part of the RW Foundations suite of libraries

// Filename: ./src/atashi/cognate/elucidate.cpp
// -Definitions of the baseline RW Elucidate sub-library

#include "incls_all.hpp"

namespace rw::atashi::cognate {

//------------------------------------------------------------------------------
Elucidate_b::Elucidate_b() : Elucidate_b{"elucidate_b_obj"} {}

//------------------------------------------------------------------------------
Elucidate_b::Elucidate_b(std::string const& handle)
    : RW{handle, Type::Elucidate} {
  stamp("Elucidate_b()");
}

//------------------------------------------------------------------------------
Elucidate::Elucidate() : Elucidate{"elucidate_obj"} {}

//------------------------------------------------------------------------------
Elucidate::Elucidate(std::string const& handle) : Elucidate_b{handle} {
  stamp("Elucidate()");

  // preflight();
}

}  // namespace rw::atashi::cognate

//    --=^=--

// "______"

// rw_atashi_lib.v220205
// Copyright (2022)
// License MIT (Expat) https://opensource.org/licenses/MIT
