//   RW Percept
// ==============
// ______
// -Part of the RW Foundations suite of libraries

// Filename: ./src/atashi/cognate/percept.cpp
// -Definitions of the baseline RW Percept sub-library

#include "incls_all.hpp"

namespace rw::atashi::cognate {

//------------------------------------------------------------------------------
Percept_b::Percept_b() : Percept_b{"percept_b_obj"} {}

//------------------------------------------------------------------------------
Percept_b::Percept_b(std::string const& handle) : RW{handle, Type::Percept} {
  stamp("Percept_b()");
}

//------------------------------------------------------------------------------
Percept::Percept() : Percept{"percept_obj"} {}

//------------------------------------------------------------------------------
Percept::Percept(std::string const& handle) : Percept_b{handle} {
  stamp("Percept()");

  // preflight();
}

}  // namespace rw::atashi::cognate

//    --=^=--

// "______"

// rw_atashi_lib.v220205
// Copyright (2022)
// License MIT (Expat) https://opensource.org/licenses/MIT
